Bug 2057477

Summary: Cannot install the best update candidate for package nodejs
Product: [Fedora] Fedora Modules Reporter: Miguel Morales <miguel.moralesa>
Component: nodejsAssignee: Stephen Gallagher <sgallagh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: jkosci, mkocka, phracek, rbean, sgallagh, zsvetlik
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-14-3520220301144317.f27b74a8 nodejs-14-3420220301144317.058368ca nodejs-14-3620220301144317.5e5ad4a0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-11 15:04:45 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Miguel Morales 2022-02-23 13:03:53 UTC
Description of problem:

When i update with DNF, i got a problem which says that nothing provides /usr/bin/pwsh needed by nodejs and will skip packages because they have broken dependencies.


Version-Release number of selected component (if applicable):

1:14.19.0-2.module_f35+13766+ad18d3e5


How reproducible:

sudo dnf update


Steps to Reproduce:
1. sudo dnf update


Actual results:

sudo dnf update
[sudo] password for irondead: 
Last metadata expiration check: 1:39:24 ago on Wed 23 Feb 2022 05:04:54 AM CST.
Dependencies resolved.

 Problem 1: cannot install the best update candidate for package nodejs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64
  - nothing provides /usr/bin/pwsh needed by nodejs-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64
 Problem 2: package npm-1:6.14.16-1.14.19.0.2.module_f35+13766+ad18d3e5.x86_64 requires nodejs = 1:14.19.0-2.module_f35+13766+ad18d3e5, but none of the providers can be installed
  - cannot install the best update candidate for package npm-1:6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd.x86_64
  - nothing provides /usr/bin/pwsh needed by nodejs-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64
 Problem 3: package nodejs-full-i18n-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64 requires nodejs(x86-64) = 1:14.19.0-2.module_f35+13766+ad18d3e5, but none of the providers can be installed
  - cannot install the best update candidate for package nodejs-full-i18n-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64
  - nothing provides /usr/bin/pwsh needed by nodejs-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64
 Problem 4: problem with installed package nodejs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64
  - package nodejs-docs-1:14.19.0-2.module_f35+13766+ad18d3e5.noarch conflicts with nodejs < 1:14.19.0-2.module_f35+13766+ad18d3e5 provided by nodejs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64
  - cannot install the best update candidate for package nodejs-docs-1:14.17.2-2.module_f35+12348+fe4be0bd.noarch
  - nothing provides /usr/bin/pwsh needed by nodejs-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64
 Problem 5: problem with installed package npm-1:6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd.x86_64
  - package npm-1:6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd.x86_64 requires nodejs = 1:14.17.2-2.module_f35+12348+fe4be0bd, but none of the providers can be installed
  - package nodejs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64 requires nodejs-libs(x86-64) = 1:14.17.2-2.module_f35+12348+fe4be0bd, but none of the providers can be installed
  - cannot install both nodejs-libs-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64 and nodejs-libs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64
  - package npm-1:6.14.16-1.14.19.0.2.module_f35+13766+ad18d3e5.x86_64 requires nodejs = 1:14.19.0-2.module_f35+13766+ad18d3e5, but none of the providers can be installed
  - cannot install the best update candidate for package nodejs-libs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64
  - nothing provides /usr/bin/pwsh needed by nodejs-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64
====================================================================================================
 Package           Arch    Version                                           Repository        Size
====================================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 nodejs-docs       noarch  1:14.19.0-2.module_f35+13766+ad18d3e5             updates-modular  6.2 M
 nodejs-libs       x86_64  1:14.19.0-2.module_f35+13766+ad18d3e5             updates-modular   13 M
Skipping packages with broken dependencies:
 nodejs            x86_64  1:14.19.0-2.module_f35+13766+ad18d3e5             updates-modular  199 k
 nodejs-full-i18n  x86_64  1:14.19.0-2.module_f35+13766+ad18d3e5             updates-modular  8.1 M
 npm               x86_64  1:6.14.16-1.14.19.0.2.module_f35+13766+ad18d3e5   updates-modular  3.3 M

Transaction Summary
====================================================================================================
Skip  5 Packages

Nothing to do.
Complete!



Expected results:

Last metadata expiration check: 1:57:54 ago on Wed 23 Feb 2022 05:04:54 AM CST.
Dependencies resolved.
Nothing to do.
Complete!


Additional info:

Comment 1 grumpey0 2022-02-24 01:13:40 UTC
Same issue observed installing: 


grumpey@grumpey0:~>%sudo dnf install nodejs
Last metadata expiration check: 1:47:25 ago on Wed 23 Feb 2022 06:20:44 PM EST.
Dependencies resolved.

 Problem: cannot install the best candidate for the job
  - nothing provides /usr/bin/pwsh needed by nodejs-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64
===============================================================================================================================================================================================================================================
 Package                                              Architecture                               Version                                                                             Repository                                           Size
===============================================================================================================================================================================================================================================
Installing:
 nodejs                                               x86_64                                     1:14.17.2-2.module_f35+12348+fe4be0bd                                               fedora-modular                                       93 k
Installing dependencies:
 nodejs-libs                                          x86_64                                     1:14.17.2-2.module_f35+12348+fe4be0bd                                               fedora-modular                                       13 M
 nodejs-packaging                                     noarch                                     2021.06-4.module_f35+13749+ccf48a1b                                                 updates-modular                                      20 k
 openssl                                              x86_64                                     1:1.1.1l-2.fc35                                                                     fedora                                              659 k
Installing weak dependencies:
 nodejs-docs                                          noarch                                     1:14.17.2-2.module_f35+12348+fe4be0bd                                               fedora-modular                                      6.0 M
 nodejs-full-i18n                                     x86_64                                     1:14.17.2-2.module_f35+12348+fe4be0bd                                               fedora-modular                                      7.8 M
 npm                                                  x86_64                                     1:6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd                                     fedora-modular                                      3.3 M
Skipping packages with broken dependencies:
 nodejs                                               x86_64                                     1:14.19.0-2.module_f35+13766+ad18d3e5                                               updates-modular                                     199 k

Transaction Summary
===============================================================================================================================================================================================================================================
Install  7 Packages
Skip     1 Package

Total download size: 30 M
Installed size: 151 M
Is this ok [y/N]: Y
Downloading Packages:
(1/7): nodejs-14.17.2-2.module_f35+12348+fe4be0bd.x86_64.rpm                                                                                                                                                   128 kB/s |  93 kB     00:00    
(2/7): openssl-1.1.1l-2.fc35.x86_64.rpm                                                                                                                                                                        763 kB/s | 659 kB     00:00    
(3/7): nodejs-docs-14.17.2-2.module_f35+12348+fe4be0bd.noarch.rpm                                                                                                                                              1.6 MB/s | 6.0 MB     00:03    
(4/7): npm-6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd.x86_64.rpm                                                                                                                                            1.4 MB/s | 3.3 MB     00:02    
(5/7): nodejs-packaging-2021.06-4.module_f35+13749+ccf48a1b.noarch.rpm                                                                                                                                          25 kB/s |  20 kB     00:00    
(6/7): nodejs-full-i18n-14.17.2-2.module_f35+12348+fe4be0bd.x86_64.rpm                                                                                                                                         986 kB/s | 7.8 MB     00:08    
(7/7): nodejs-libs-14.17.2-2.module_f35+12348+fe4be0bd.x86_64.rpm                                                                                                                                              1.2 MB/s |  13 MB     00:10    
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                          2.5 MB/s |  30 MB     00:12     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Running scriptlet: npm-1:6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                            1/1 
  Preparing        :                                                                                                                                                                                                                       1/1 
  Installing       : nodejs-packaging-2021.06-4.module_f35+13749+ccf48a1b.noarch                                                                                                                                                           1/7 
  Installing       : nodejs-libs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                              2/7 
  Installing       : nodejs-docs-1:14.17.2-2.module_f35+12348+fe4be0bd.noarch                                                                                                                                                              3/7 
  Installing       : openssl-1:1.1.1l-2.fc35.x86_64                                                                                                                                                                                        4/7 
  Installing       : nodejs-full-i18n-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                         5/7 
  Installing       : npm-1:6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                            6/7 
  Installing       : nodejs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                                   7/7 
  Running scriptlet: nodejs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                                   7/7 
  Verifying        : openssl-1:1.1.1l-2.fc35.x86_64                                                                                                                                                                                        1/7 
  Verifying        : nodejs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                                   2/7 
  Verifying        : nodejs-docs-1:14.17.2-2.module_f35+12348+fe4be0bd.noarch                                                                                                                                                              3/7 
  Verifying        : nodejs-full-i18n-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                         4/7 
  Verifying        : nodejs-libs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                              5/7 
  Verifying        : npm-1:6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd.x86_64                                                                                                                                                            6/7 
  Verifying        : nodejs-packaging-2021.06-4.module_f35+13749+ccf48a1b.noarch                                                                                                                                                           7/7 

Installed:
  nodejs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                         nodejs-docs-1:14.17.2-2.module_f35+12348+fe4be0bd.noarch                       nodejs-full-i18n-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                   
  nodejs-libs-1:14.17.2-2.module_f35+12348+fe4be0bd.x86_64                    nodejs-packaging-2021.06-4.module_f35+13749+ccf48a1b.noarch                    npm-1:6.14.13-1.14.17.2.2.module_f35+12348+fe4be0bd.x86_64                      
  openssl-1:1.1.1l-2.fc35.x86_64                                             
Skipped:
  nodejs-1:14.19.0-2.module_f35+13766+ad18d3e5.x86_64                                                                                                                                                                                          

Complete!


grumpey@grumpey0:~>%sudo dnf module list nodejs
Last metadata expiration check: 1:52:16 ago on Wed 23 Feb 2022 06:20:44 PM EST.
Fedora Modular 35 - x86_64
Name                 Stream               Profiles                                      Summary                        
nodejs               12                   default, development, minimal                 Javascript runtime             
nodejs               14 [e]               default, development, minimal                 Javascript runtime             
nodejs               15                   default, development, minimal                 Javascript runtime             
nodejs               16                   default, development, minimal                 Javascript runtime             

Fedora Modular 35 - x86_64 - Updates
Name                 Stream               Profiles                                      Summary                        
nodejs               12                   default, development, minimal                 Javascript runtime             
nodejs               14 [e]               common [d], development, minimal              Javascript runtime             
nodejs               15                   default, development, minimal                 Javascript runtime             
nodejs               16                   common [d], development, minimal              Javascript runtime             

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled

Comment 2 Stephen Gallagher 2022-03-01 14:43:55 UTC
I fixed this in the non-modular builds and forgot to push it to the modular one. Fixing that now.

Comment 3 Miguel Morales 2022-03-01 14:56:52 UTC
(In reply to Stephen Gallagher from comment #2)
> I fixed this in the non-modular builds and forgot to push it to the modular
> one. Fixing that now.

Thank you so much !

Comment 4 Fedora Update System 2022-03-02 15:28:44 UTC
FEDORA-MODULAR-2022-f4a50cbc5c has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-f4a50cbc5c

Comment 5 Fedora Update System 2022-03-02 15:28:45 UTC
FEDORA-MODULAR-2022-dd07b690bf has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-dd07b690bf

Comment 6 Fedora Update System 2022-03-02 15:28:46 UTC
FEDORA-MODULAR-2022-708847dbff has been submitted as an update to Fedora 36 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-708847dbff

Comment 7 Fedora Update System 2022-03-02 19:01:37 UTC
FEDORA-MODULAR-2022-708847dbff has been pushed to the Fedora 36 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-708847dbff

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-03-03 22:44:27 UTC
FEDORA-MODULAR-2022-dd07b690bf has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-dd07b690bf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-03-03 23:01:24 UTC
FEDORA-MODULAR-2022-f4a50cbc5c has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2022-f4a50cbc5c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-03-11 15:04:45 UTC
FEDORA-MODULAR-2022-f4a50cbc5c has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-03-11 15:25:20 UTC
FEDORA-MODULAR-2022-dd07b690bf has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-03-25 22:07:59 UTC
FEDORA-MODULAR-2022-708847dbff has been pushed to the Fedora 36 Modular stable repository.
If problem still persists, please make note of it in this bug report.